###############################################################################
# Copyright (c) 2009, 2019 IBM Corporation and others.
# This program and the accompanying materials
# are made available under the terms of the Eclipse Public License 2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#
# Contributors:
#     IBM Corporation - initial API and implementation
###############################################################################
# 'shortname' effects all foldernames too, plus some content, in distribution section
# should be same name as this property file (for future use). 
shortname=xquery


# These first three properties are mainly for component templates

#  'featurename' assumes group of three features
#  a) featurename.feature
#  b) featurename_sdk.feature
#  c) featurename_tests.feature

featurename=org.eclipse.wst.xquery

#  'zipprefix' is prefixed to -[type]-${buildlabel},
#  where type is empty, 'sdk' or 'tests',
#  usually of the form [top-level project]-[project]-[component]
#  for example, wtp-incubator-xmlsecurity
zipprefix=wtp-inc-xquery

#  'relengmapseng' must match the environment variable set in
#  commonComputedVariables, such as RELENGXMLSEC
relengmapsenv=RELENGXQUERY

#  list of prereqs to control what is installed for compile and tests
prereq.eclipse=true
prereq.emf=true
prereq.emfxsd=true
prereq.gef=true
prereq.wst=true
prereq.dltk=true

# These next properties are mainly for distribution template files

# longdescription appears on the download webpage
longdescription=The Zip files includes the features and plugins for XQuery Development Tools

# special case. Assembly so adapters not required.
sdksuffix=_assembly_sdk.feature
featuresuffix=_assembly.feature
# no tests right now
testsuffix=NONE

# omit (or set to true) for incubating projects for proper webpage
incubating=true